using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DrawQuadWithMouse : MonoBehaviour
{
    public void Update()
    {
        if (Input.GetMouseButtonDown(0)) 
        {
		    Debug.Log(Input.mousePosition);
            GameObject quad = GameObject.CreatePrimitive(PrimitiveType.Quad);
			Vector3 mousePos = Input.mousePosition;
			mousePos.z = Camera.main.nearClipPlane;
            quad.transform.position =  Camera.main.ScreenToWorldPoint(mousePos); // 2D screen space -> 3D world
			quad.transform.localScale = new Vector3(0.01f, 0.01f, 0.01f);
            quad.GetComponent<Renderer>().material.color = Color.yellow; // yellow
            quad.transform.parent = this.gameObject.transform;
        }
    }

	void OnGUI()
    {
        Vector3 point = new Vector3();
        Event   currentEvent = Event.current;
        Vector3 mousePos = new Vector3();

        // Get the mouse position from Event.
        // Note that the y position from Event is inverted. (GUI space -> Screen space)
        mousePos.x = currentEvent.mousePosition.x;
        mousePos.y = Camera.main.pixelHeight - currentEvent.mousePosition.y;
		mousePos.z = Camera.main.nearClipPlane;
        point = Camera.main.ScreenToWorldPoint(mousePos);

        GUILayout.BeginArea(new Rect(20, 20, 250, 120));
        GUILayout.Label("Screen pixels: " + Camera.main.pixelWidth + ":" + Camera.main.pixelHeight);
        GUILayout.Label("Mouse position: " + mousePos);
        GUILayout.Label("World position: " + point.ToString("F3"));
        GUILayout.EndArea();

        // It outputs messages depending on the current Event Type.
        if (currentEvent.type == EventType.MouseDown)
        {
            Debug.Log("Mouse Down.");
        }

        if (currentEvent.type == EventType.MouseDrag)
        {
            Debug.Log("Mouse Dragged.");
        }

        if (currentEvent.type == EventType.MouseUp)
        {
            Debug.Log("Mouse Up.");
        }
    }
}
