using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RotateCubeWithMouse : MonoBehaviour
{
    public float rotSpeed = 10f;
    GameObject cube;

    // Start is called before the first frame update
    void Start()
    {
        cube = GameObject.CreatePrimitive(PrimitiveType.Cube);	
        cube.GetComponent<Renderer>().material.color = new Color(0.0f, 0.0f, 1.0f, 1.0f); 
        cube.transform.parent = this.gameObject.transform;
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetKeyDown(KeyCode.Escape))
        {
            Application.Quit();

        }
        else if (Input.GetKeyDown(KeyCode.Space))
        {
            Debug.Log("space key");
        }
        
        if (Input.GetMouseButton(0))
        {
            // The value is in the range -1 to 1
            float polar = Input.GetAxis("Mouse X") * rotSpeed;
            float elevation = Input.GetAxis("Mouse Y") * rotSpeed;
            transform.Rotate(Vector3.down, polar);
            transform.Rotate(Vector3.right, elevation);
        }

        // The value is in the range -1 to 1
        float v = Input.GetAxis("Vertical") * rotSpeed * 0.1f;
        float h = Input.GetAxis("Horizontal") * rotSpeed * 0.1f;
        transform.Rotate(Vector3.down, h);
        transform.Rotate(Vector3.right, v);
    }

}
