using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SelectObjectWithMouse : MonoBehaviour
{
    public GameObject selectedObject;
    Ray ray;
    RaycastHit hitData;

    // Create a plane, sphere and cube in the Scene.
    void Start()
    {
        GameObject plane  = GameObject.CreatePrimitive(PrimitiveType.Plane);
        plane.transform.parent = this.transform;

        GameObject cube = GameObject.CreatePrimitive(PrimitiveType.Cube);
        cube.transform.position = new Vector3(0, 0.5f, 0);
        cube.transform.parent = this.transform;
        
        GameObject sphere = GameObject.CreatePrimitive(PrimitiveType.Sphere);
        sphere.transform.position = new Vector3(0, 1.5f, 0);
        sphere.transform.parent = this.transform;

        GameObject capsule = GameObject.CreatePrimitive(PrimitiveType.Capsule);
        capsule.transform.position = new Vector3(2, 1, 0);
        capsule.transform.parent = this.transform;

        GameObject cylinder = GameObject.CreatePrimitive(PrimitiveType.Cylinder);
        cylinder.transform.position = new Vector3(-2, 1, 0);
        cylinder.transform.parent = this.transform;
    }

    void Update()
    {
        // 2D mouse position to 3D world position ray
        ray = Camera.main.ScreenPointToRay(Input.mousePosition);
        if (Physics.Raycast(ray, out hitData, 1000))
        {
            // If the mouse selects on one of game objects
            if (Input.GetMouseButtonDown(0))
            {
                selectedObject = hitData.transform.gameObject;
                selectedObject.GetComponent<Renderer>().material.color = Color.blue; // blue 
            }
        }
        else 
        {
            // If the mouse selects on empty space
            if (Input.GetMouseButtonDown(0))
            {
                selectedObject.GetComponent<Renderer>().material.color = Color.white; // white 
                selectedObject = null;
            }
        }
    }
}
